Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
CglUniqueRowCuts Class Reference

`#include <CglPreProcess.hpp>`

Collaboration diagram for CglUniqueRowCuts:
[legend]

## Public Member Functions
| CglUniqueRowCuts (int initialMaxSize=0, int hashMultiplier=4)
| ~CglUniqueRowCuts ()
| CglUniqueRowCuts (const CglUniqueRowCuts &rhs)
CglUniqueRowCuts & | operator= (const CglUniqueRowCuts &rhs)
OsiRowCut * | cut (int sequence) const
int | numberCuts () const
int | sizeRowCuts () const
OsiRowCut * | rowCutPtr (int sequence)
void | eraseRowCut (int sequence)
void | insert (const OsiRowCut &cut)
int | insertIfNotDuplicate (const OsiRowCut &cut)
void | addCuts (OsiCuts &cs)

## Private Attributes
OsiRowCut ** | rowCut_
CglHashLink * | hash_
| Hash table. More...
int | size_
int | hashMultiplier_
int | numberCuts_
int | lastHash_

## Detailed Description

Definition at line 555 of file CglPreProcess.hpp.

## Constructor & Destructor Documentation

CglUniqueRowCuts::CglUniqueRowCuts | ( | int | initialMaxSize = `0`,
|  | int | hashMultiplier = `4`
| ) |  |

CglUniqueRowCuts::~CglUniqueRowCuts | ( |  | ) |

CglUniqueRowCuts::CglUniqueRowCuts | ( | const CglUniqueRowCuts & | rhs | ) |

## Member Function Documentation

CglUniqueRowCuts& CglUniqueRowCuts::operator= | ( | const CglUniqueRowCuts & | rhs | ) |

OsiRowCut* CglUniqueRowCuts::cut | ( | int | sequence | ) | const
| inline

Definition at line 561 of file CglPreProcess.hpp.

int CglUniqueRowCuts::numberCuts | ( |  | ) | const
| inline

Definition at line 565 of file CglPreProcess.hpp.

int CglUniqueRowCuts::sizeRowCuts | ( |  | ) | const
| inline

Definition at line 569 of file CglPreProcess.hpp.

OsiRowCut* CglUniqueRowCuts::rowCutPtr | ( | int | sequence | ) |
| inline

Definition at line 573 of file CglPreProcess.hpp.

void CglUniqueRowCuts::eraseRowCut | ( | int | sequence | ) |

void CglUniqueRowCuts::insert | ( | const OsiRowCut & | cut | ) |
| inline

Definition at line 579 of file CglPreProcess.hpp.

int CglUniqueRowCuts::insertIfNotDuplicate | ( | const OsiRowCut & | cut | ) |

void CglUniqueRowCuts::addCuts | ( | OsiCuts & | cs | ) |

## Member Data Documentation

OsiRowCut** CglUniqueRowCuts::rowCut_
| private

Definition at line 589 of file CglPreProcess.hpp.

CglHashLink* CglUniqueRowCuts::hash_
| private

Hash table.

Definition at line 591 of file CglPreProcess.hpp.

int CglUniqueRowCuts::size_
| private

Definition at line 592 of file CglPreProcess.hpp.

int CglUniqueRowCuts::hashMultiplier_
| private

Definition at line 593 of file CglPreProcess.hpp.

int CglUniqueRowCuts::numberCuts_
| private

Definition at line 594 of file CglPreProcess.hpp.

int CglUniqueRowCuts::lastHash_
| private

Definition at line 595 of file CglPreProcess.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Cgl/src/CglPreProcess/CglPreProcess.hpp